.layout-navbar.navbar-detached.container-xxl {
    max-width: 100% !important;
}
@media (min-width: 1400px) {
    .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
        max-width: 100% !important;
    }
}

.layout-navbar-fixed .layout-navbar.navbar-detached {
   inline-size: calc(100% - 0 - var(--bs-menu-width)) !important;
}
.layout-navbar.navbar-detached {
   border-radius: 0rem !important;
   margin-block: 0rem 0 !important;
}
@media (max-width: 991.98px) {
    .layout-navbar-fixed .layout-navbar.navbar-detached {
        inline-size: calc(100% - 0rem * 2) !important;
    }
}

.text-right{
    text-align: right;
}
.text-center{
    text-align: center;
}
.table thead tr th {
    padding-block: 0.8rem !important;
}
.swal2-modal.swal2-popup .swal2-title {
    margin: 0.2rem 0 0.2rem 0 !important;
    line-height: 0.5 !important;
}
div:where(.swal2-icon) {
    margin: 1.2em auto .6em !important;
}
div:where(.swal2-container) h2:where(.swal2-title) {
padding: 0.5em 1em !important;
}
.card-header{
    border-bottom: 1px solid #e6e6e8 !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}
.filter-container{
    border: 1px solid #e6e6e8 !important;
    padding:10px !important;
    border-radius: 10px;
    margin-top: 20px;
}
.form-label {
    font-size: 0.99rem !important;
}
.alert-dismissible .close {
    position: absolute;
    top: 0;
    right: 0;
    padding: .75rem 1.25rem;
}

.alert p {
    margin-top: 0 !important;
    margin-bottom: 0.0rem !important;
}
div.dataTables_wrapper div.dataTables_length, div.dataTables_wrapper .dataTables_filter {
    margin-top: 0.9rem !important;
    margin-bottom: 0.9rem !important;
}
div.dataTables_wrapper div.dt-buttons{
    margin-top: 0.9rem !important;
    margin-bottom: 0.9rem !important;
   
}
div.dataTables_wrapper div.dt-buttons .btn{
    margin-right: 5px !important;
}
.required-field{
    color: red;
    font-weight: bolder;
}
.btn-form-cancel-position{
    position: relative;
    right: 15px;
}
.table-btn-sm-custom{
    width: 25px !important;
    height: 25px !important;
    margin-right: 5px !important;
}
#ajaxDesDatatable >thead tr > th{
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
#ajaxDesDatatable >tbody tr > td{
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
#previewDatatable >thead tr > th{
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
#previewDatatable >tbody tr > td{
    padding-top: 0.2rem !important;
    padding-bottom: 0.2rem !important;
    padding-left: 0.2rem !important;
    padding-right: 0.2rem !important;
}
#previewDatatable >tfoot tr > td{
    padding-top: 0.2rem !important;
    padding-bottom: 0.2rem !important;
    padding-left: 0.2rem !important;
    padding-right: 0.2rem !important;
}
#previewDatatable >tbody tr > td > p{
    margin-bottom: 0.2rem !important;
}

.previewDatatable >thead tr > th{
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
.previewDatatable >tbody tr > td{
    padding-top: 0.2rem !important;
    padding-bottom: 0.2rem !important;
    padding-left: 0.2rem !important;
    padding-right: 0.2rem !important;
}
.previewDatatable >tfoot tr > td{
    padding-top: 0.2rem !important;
    padding-bottom: 0.2rem !important;
    padding-left: 0.2rem !important;
    padding-right: 0.2rem !important;
}
.previewDatatable >tbody tr > td > p{
    margin-bottom: 0.2rem !important;
}
.previewDatatable >tbody tr > td > .option-container  > tbody > tr > td > label{
    margin-right: 0.2rem !important;
    font-weight: bold;
}
.previewDatatable >tbody tr > td > .option-container > tbody > tr > td > span{
    margin-bottom: 0.2rem !important;
    display: inline;
} 
.option-container {
    width:100%; border-collapse: collapse; table-layout: fixed;
}
.option-container >tr >td {
    width: 25%;
    padding: 5px;
    vertical-align: top; 
}
.questionTable >tbody tr > td > p{
    margin-bottom: 0.2rem !important;
}
.option-container tr > td > label{
    margin-right: 0.2rem !important;
    font-weight: bold;
}
.option-container tr > td > span{
    margin-bottom: 0.2rem !important;
    display: inline;
}
#previewInputDatatable >thead tr > th{
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
#previewInputDatatable >tbody tr > td{
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    padding-left: 0.2rem !important;
}
#updateHistoryDatatable >thead tr > th{
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
#updateHistoryDatatable >tbody tr > td{
    padding: 0.5rem !important;
}
table.table.dataTable tbody tr:hover {
    background-color: #e6e6e8;
}
table.table.dataTable tbody tr:hover td{
    color: #25293c !important;
}
table.table.dataTable tbody tr:hover td label{
    color: #25293c !important;
}
#singleRecordViewTable >tbody > tr >td{
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
}
#singleRecordViewTable > tbody > tr > td:first-child{
    text-transform: none !important;
    font-weight: bold !important;
    font-size: 14px !important;
}  
.textbox-container-search {
    display: flex;
    justify-content: center;
    align-items: center;
}
input[readonly]{
    color: #000000 !important; 
    background-color: #f3f2f3;
    border-color: #cdccd0;
    opacity: 1;
}
.small_danger_text{
    font-size: 12px;
    color:red
}
.form-control:disabled {
    color: #000000 !important;
}
#view_record_form input[disabled] {
    /* background-color: #fff !important; */
    /* color: black !important; */
    /* opacity: 1; */
}
#view_record_form textarea[disabled] {
    /* background-color: #fff !important; */
    /* color: black !important; */
    /* opacity: 1; */
}
.form-check-custom {
    margin-bottom: .0rem !important;
}
.form-check-input-custom {
    border-color: #fff !important;
}
.form-check-label-custom {
    color: #fff !important;
}
.tr-index{
    width: 5.5%;
}
.item_repeater_div{border: 1px solid #7367f0;border-radius: 8px; position: relative;}

html.dark-style select option {
    background-color: #2f3349; 
    color: #cfcde4;
}
html.dark-style .header-college-name{
    color: #fff !important;
}
.logged-in-name{
    margin-right:10px;
    /* color: #000 !important */
}
html.dark-style .logged-in-name{
    color: #fff !important;
}
table > tbody >tr > td .badge-custom{
    width: 100%;
}

.card-header > .card-header-elements .btn-outline-primary{
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header > .card-header-elements > .btn-outline-primary:hover {
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header > .card-header-elements .btn-primary{
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header > .card-header-elements > .btn-primary:hover {
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header-custom > .btn-outline-primary{
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header-custom > .btn-outline-primary:hover { 
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header-custom > .btn-outline-primary{
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.card-header-custom > .btn-outline-primary:hover { 
    color: #000 !important;
    background-color: #fff !important;
    border-color: #fff !important;
}
.dataTables_wrapper > .row > div > .dt-buttons .btn-secondary.buttons-excel.buttons-html5{
    background-color: orange !important;
    border-color: orange !important;
}
.buttons-excel.buttons-html5{
    background-color: orange !important;
    border-color: orange !important;
}
.dataTables_wrapper > .row > div > .dt-buttons .btn-secondary.buttons-excel.buttons-html5 span::before{
   content: "Download ";
}
.layout-menu-toggle .menu-toggle-icon::before {
    content: "\ec42" !important;
}
.layout-menu-collapsed .layout-menu-toggle .menu-toggle-icon::before {
    /* content: "\eb55" !important;Close Icon */
    content: "\ec42" !important;/*Three line icon Icon*/
}
@media (max-width: 584px) {
    .header-college-name{
        font-size: 15px !important;
        line-height: 1rem;
    }
}
.toast-success{
    background-color: #28c76f !important;
}
.toast-error{
    background-color: #ff4c51 !important;
}
.toast-warning{
    background-color: #ff9f43 !important;
}
.toast-info{
    background-color: #01bad2 !important;
}
.toast-title{
    color: #fff;
}
.toast-message{
    color: #fff;
}
.card-header > .card-header-elements .btn-outline-primary_custom{
    color: #7367f0;
    border-color: #7367f0;
    background: rgba(0, 0, 0, 0);
}
.card-header > .card-header-elements > .btn-outline-primary_custom:hover {
    color: #7367f0 !important;
    background-color: #f4f3fe !important;
    border-color: #7367f0 !important;
}
.form-check-input-absent:checked {
    background-color: #ff4c51 !important;
    border-color: #ff4c51 !important;
}
.form-check-input-present:checked {
    background-color: #32a852 !important;
    border-color: #32a852 !important;
}
.modal .modal-header {
    padding-top: 12px !important;
    padding-bottom: 12px !important;
}
.popover .popover-header {
    padding-bottom: 0px !important;
    font-size: 0.9rem !important;
    padding-top: 0px !important;
    background-color: #7367f0 !important;
    color: #fff !important;
}
.popover .popover-header > h3{
    line-height: 1.625rem !important;
}
.popover .popover-body {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}
.nav-tabs.nav-fill button.nav-link.waves-effect.active {
    box-shadow: 0 0px 0 #7367f0 inset !important;
    border: 4px dashed !important;
}
div.dt-container div.dt-length, div.dt-container div.dt-search {
    margin-block: 0.2rem !important;
}
.signup_profile_image_preview{
    max-width: 3cm;
    height: 3.5cm;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.leave-date-list {
    width: 100%; /* Adjust as needed */
    overflow-x: auto; /* Enable horizontal scrolling */
    max-height: 200px; /* Set the height of the table */
}
.leavePreviewDayTable {
    width: 100%; /* Full width to enable scrolling */
    border-collapse: collapse;
}
.leavePreviewDayTable th, .leavePreviewDayTable td {
    padding: 8px;
    border: 1px solid #ccc;
    text-align: left;
}

#leavePreviewDayTable > tbody tr > td{
    padding-top: 0.2rem !important;
    padding-bottom: 0.2rem !important;
    padding-left: 0.2rem !important;
    padding-right: 0.2rem !important;
}
.fc .fc-toolbar.fc-header-toolbar {
    margin-bottom: 0.2em;
}
.rule-span{
    border: 1px solid black;
    padding: 5px;
    background-color: #1da1f2 !important;
}
.rule-span > h6{
    color:#fff;
}
.rule-span > .ms-auto > .switch-primary > .switch-toggle-slider{
     border-color:#fff;
}
.rule-span > .ms-auto > .switch-primary > .switch-label{
     color:#fff;
}
.main-rule-div{
    border: 1px solid black;
    padding: 10px;
}
.worklog-detail-container{
    margin-top: 10px;
    margin-left: 0px;
    margin-right: 0px;
}
.worklog-detail-content{
   padding: 10px;
    border: 1px solid #7367f0;
    border-radius: 10px;
    margin-left: 0px;
    margin-right: 0;
}
.profile-label{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    inline-size: 100%;
     border-bottom: 1px solid #ddd;
}
.profile-label > .h6{
    margin-bottom: 0.5rem;
}

.card-border-shadow-overtime {
  --bs-card-border-bottom-color: color-mix(in sRGB, var(--bs-card-bg) var(--bs-border-subtle-amount), rgba(38, 0, 255, 0.486));
--bs-card-hover-border-bottom-color: rgba(38, 0, 255, 0.486);
}

.bg-label-overtime {
    background-color: rgba(38, 0, 255, 0.486) !important;
    color:#fff !important;
}
.cst-btn-primary {
    background-color: #FAA21B !important;
    color: #fff !important;
    border-color: #FAA21B !important;
    height: 48px;
    border-radius: 10px;
    font-weight: 600;
    font-size: 15px;
}
.profile-card-img-top {
    width: auto;
    height: 160px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
 .forgot-password-link {
  color: #6B7280;        /* Muted gray */
  font-size: 14px;
  font-weight: 500;
  text-decoration: none;
  transition: color 0.2s ease;
}
.forgot-password-link:hover {
  outline: none;
  color: #2563EB;
  text-decoration: underline;
}
.profile-header-custom
{
    height: 300px !important;
}
.profile-header-custom .profile-img-container {
    position: absolute;
    bottom: -5rem;
    left: 1.50rem;
    z-index: 2;
    
}
#user-profile .profile-header-custom .profile-img-container .profile-img {
    height: 8.92rem;
    width: 8.92rem;
    border: .357rem solid #FFF;
    background-color: #FFF;
    border-radius: .428rem;
    box-shadow: 0 4px 24px 0 rgba(34, 41, 47, .1);
}
.bg-light-primary {
    background: rgba(115, 103, 240, .12) !important;
    color: #7367F0 !important;
}
.select2-container--default.select2-container--disabled .select2-selection--multiple .select2-selection__choice {
    color: #000000 !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
   color: #000000 !important;
}
button.btn.btn-primary.btn-primary-circle.btn-sm.btn-icon.waves-effect.waves-light {
    color: #FFF !important;
}
.sidebar-collapsed-logo{
    display: none;
}
html.layout-menu-collapsed .sidebar-collapsed-logo {
    display: block;
}
html.layout-menu-hover .sidebar-collapsed-logo {
    display: none;
}
.task_description_editor{
    border: 1px solid #7367f0;
    padding: 5px;
    border-radius: 5px;
}